Package uk.ac.starlink.vo

# Class ResolverException

java.lang.Object
java.lang.Throwable
java.lang.Exception
uk.ac.starlink.vo.ResolverException

All Implemented Interfaces:
  `Serializable`

public class ResolverException extends Exception
Exception thrown when an object cannot be resolved by a name resolution service for some reason.

Since:
  4 Feb 2005
Author:
  Mark Taylor (Starlink)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ResolverException(String msg)`
`ResolverException(String msg, Throwable e)`
`ResolverException(Throwable e)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ResolverException

public ResolverException(String msg)

### ResolverException

public ResolverException(String msg, Throwable e)

### ResolverException

public ResolverException(Throwable e)